Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.antlr.java
Class Java2GroovyMain

Constructor Summary
`Java2GroovyMain()`

Method Summary
`static String` | `convert(String filename, String input)`
`static String` | `convert(String filename, String input, boolean withHeader, boolean withNewLines)`
`static def` | `getGroovyTokenNames(String input)`
`static JavaRecognizer` | `getJavaParser(String input)`
`static void` | `groovifyFatJavaLikeGroovyAST(AST ast, def groovyTokenNames)`
`static void` | `main(def args)`
`static String` | `mindmap(String input)`
`static void` | `modifyJavaASTintoGroovyAST(def tokenNames, AST ast)`
`static String` | `nodePrinter(String input)`

Constructor Detail

### Java2GroovyMain

    Java2GroovyMain()

Method Detail

### convert

    public static String convert(String filename, String input)

### convert

    public static String convert(String filename, String input, boolean withHeader, boolean withNewLines)

### getGroovyTokenNames

    static def getGroovyTokenNames(String input)

### getJavaParser

    static JavaRecognizer getJavaParser(String input)

  param:
    input
  return:

### groovifyFatJavaLikeGroovyAST

    static void groovifyFatJavaLikeGroovyAST(AST ast, def groovyTokenNames)

  param:
    ast
  param:
    groovyTokenNames

### main

    public static void main(def args)

### mindmap

    public static String mindmap(String input)

### modifyJavaASTintoGroovyAST

    static void modifyJavaASTintoGroovyAST(def tokenNames, AST ast)

  param:
    tokenNames
  param:
    ast

### nodePrinter

    public static String nodePrinter(String input)